petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscObjectSAWsGrantAccess

Grants access of the data fields that have been published to SAWs to the memory snooper to change

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscObjectSAWsGrantAccess(PetscObject obj)

Collective on PetscObject Many br

### Input Parameters

obj -the Petsc variable Many brThus must be cast with a (PetscObject), for example, Many brPetscObjectSetName((PetscObject)mat,name); Many br

Many br

### See Also

PetscObjectSetName(), PetscObjectSAWsViewOff(), PetscObjectSAWsTakeAccess()

Level:advanced
Location:src/sys/ams/pams.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages